Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get brand series

Gets a single series belonging to a brand.

GET/api/v2/{team_slug}/{app_slug}/brands/{brand_id}/series/{series_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
brand_idstring<uuid>required
series_idstring<uuid>required
Responses
200

OK

dataBrandSeriesrequired
Show properties
idUUIDrequired
namestringrequired
slugstringrequired
coverBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
logoBrandImage | null
Show properties
Any of:
BrandImage
idUUIDrequired
titlestring | null
urlstringrequired
null
null
descriptionstring | null
emailstring | null
created_atstring<date-time>
updated_atstring<date-time> | null
translationsBrandTranslation
Show properties
descriptionTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/series/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "cover": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "url": "string"
    },
    "logo": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "url": "string"
    },
    "description": "string",
    "email": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "translations": {
      "description": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ]
    }
  }
}